<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_'.$cookiehash] != $post->post_password) {  // and it doesn't match the cookie
				?>

				<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?></p>

				<?php
				return;
            }
        }
?>

<!-- You can start editing here. -->

<?php $comment_type = get_comment_type(); ?>

<?php if ( have_comments() ) : ?>

	<?php if ($comment_type == 'comment') : ?>
		<h3 id="comments"><img src="<?php bloginfo('template_url'); ?>/images/icon_comments.png" alt="" align="absmiddle"/>&nbsp;<?php comments_number('No responses', 'One response', '% responses' );?> to &#8220;<?php the_title(); ?>&#8221;</h3>
			<ul class="commentlist">
				<?php wp_list_comments('type=comment&callback=mytheme_comment'); ?>
			</ul>	
	<?php endif; ?>
	
	<?php if ($comment_type == 'pings') : ?>
		<h3 id="pings"><img src="<?php bloginfo('template_url'); ?>/images/icon_pings.png" alt="" align="absmiddle"/>&nbsp;Trackbacks/Pingbacks</h3>
			<ol class="pinglist">
				<?php wp_list_comments('type=pings&callback=list_pings'); ?>
			</ol>
	<?php endif; ?>
	
	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">The comments are closed.</p>

	<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post-> comment_status) : ?>
	<div id="respond">  
	<h3><img src="<?php bloginfo('template_url'); ?>/images/icon_leavecomment.png" alt="" align="absmiddle"/> <?php comment_form_title( 'Leave a comment', 'Leave a comment to %s' ); ?></h3>
	<div class="cancel-comment-reply">
		<small><?php cancel_comment_reply_link(); ?></small>
	</div>
	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>  
		<p>You must <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">log in</a> in order to post a comment.</p>  
		<?php else : ?>  
		<form action="<?php echo get_settings('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
			<p><input type="text" name="author" id="author" class="styled" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />			
			<label for="author"><small>Name</small></label>
			</p>
			
			<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
			<label for="email"><small>Mail</small></label>
			</p>

			<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
			<label for="url"><small>Website</small></label>
			</p>

			<?php if (function_exists('lmbbox_comment_quicktags_display')) { lmbbox_comment_quicktags_display(); } ?>

			<p><textarea name="comment" id="comment" cols="55%" rows="7" tabindex="4"></textarea></p>
			<p><button name="submit" type="submit" id="submit" class="input_button" tabindex="5" value="Post comment"><img src="<?php bloginfo('template_url'); ?>/images/icon_ok.png" alt=""/> Post comment</button></p>

			<?php comment_id_fields(); ?>
			<?php do_action('comment_form', $post->ID); ?>
		</form>
		<?php endif; // If registration required and not logged in ?>  
	</div> <!-- end respond. -->
<?php endif; // if you delete this the sky will fall on your head ?>