<?php if ( !function_exists('dynamic_sidebar')
        || !dynamic_sidebar() ) : ?>

<!-- categories -->

<div class="blocktitle">
	<img src="<?php bloginfo('template_url'); ?>/images/icon_categorias.gif" alt="" style="vertical-align: middle"/> <?php _e('Categories'); ?>
</div>
<div class="block">
	<div class="menu">
		<ul>
			<?php wp_list_cats('optionall=0&sort_column=name&optioncount=1'); ?>
		</ul>
	</div>
</div>

<!-- calendar -->

<br />
<div class="blocktitle">
	<img src="<?php bloginfo('template_url'); ?>/images/icon_calendario.gif" alt="" style="vertical-align: middle"/> <?php _e('Show By Date'); ?>
</div>
<div class="block">
	<div align="center">
		<?php get_calendar(); ?>
	</div>
</div>

<!-- monthly archives -->

<br />
<div class="blocktitle">
	<img src="<?php bloginfo('template_url'); ?>/images/icon_archivos.gif" alt="" style="vertical-align: middle"/> <?php _e('Files'); ?>
	</div>
<div class="block">
	<div class="menu">
		<?php if( function_exists('collapsArch') ) {
			collapsArch('%i%');
		} else {
      			echo "<ul>\n";
			wp_get_archives('type=monthly&show_post_count=1'); 
			echo "</ul>\n";
     		} ?>
	</div>
</div>

<!-- comentarios recientes-->
<?php if (function_exists('get_recent_comments')) { ?>
	<br />
	<div class="blocktitle">
		<img src="<?php bloginfo('template_url'); ?>/images/icon_recientes.gif" alt="" style="vertical-align: middle"/> <?php _e('Recent Comments'); ?>
	</div>
	<div class="block">
		<div class="menu">
		<ul>
        		<?php get_recent_comments(); ?>
	        </ul> 
	</div>
	</div>
<?php } ?> 

<!-- links -->
<br />
<div class="blocktitle">
	<img src="<?php bloginfo('template_url'); ?>/images/icon_enlaces.gif" alt="" style="vertical-align: middle"/> <?php _e('Links'); ?>
</div>
<div class="block">
	<div class="menu">
		<ul>
			<?php get_links('-1', '<li>', '</li>', ' '); ?>
		</ul>
	</div>
</div>

<!-- xml feeds -->

<br />
<div class="blocktitle"><img src="<?php bloginfo('template_url'); ?>/images/icon_suscripcion.gif" alt="" style="vertical-align: middle"/> RSS <a href="<?php bloginfo('rss2_url'); ?>" target="_new" title="rss"><img src="<?php bloginfo('template_url'); ?>/images/icon_rss.gif" alt="rss" /></a></div>
	<div class="block">
		<div class="menu">
			<ul>
				<li><a href="<?php bloginfo('rss2_url'); ?>" target="_new">RSS 2.0</a></li>
				<li><a href="<?php bloginfo('comments_rss2_url'); ?>" target="_new">Comments RSS 2.0</a></li>
				<li><a href="<?php bloginfo('rss_url'); ?>" target="_new">RSS 0.92</a></li>
				<li><a href="<?php bloginfo('atom_url'); ?>" target="_new">Atom 0.3</a></li>
			</ul>
		</div>
	</div>

<br />

<?php endif; ?>