<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

	<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
	</style>

	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="<?php bloginfo('atom_url'); ?>" />

	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?> <!-- To support the new Javascript functionality with comment threading -->
	<?php wp_head(); ?>
</head>

<body>
<a name="top"></a>

<div id="header-wrap">
	<div id="header">
		<div class="blog_name"><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></div>
		<div class="blog_description"><?php bloginfo('description'); ?></div>
	</div><!-- end header -->
</div><!-- end header-wrap -->

<div id="searchbar">
	<div id="navbuttons_left">
		<span class="buttons"><a href="<?php bloginfo('url'); ?>" title="página principal">Home</a></span>
	</div>

	<div id="current_time">	<!-- time and date -->
		<?php
		$hourdiff = "9"; /* time difference, ex: "-8" or "8" */
		$timeadjust = ($hourdiff * 60 * 60);
		$hora= date("H:i", time() + $timeadjust);
		$fecha = strftime("%a, %d %b %Y");
		print ("$fecha $hora");
		?>
		<img src="<?php bloginfo('template_url'); ?>/images/flag.gif" alt="" />
	</div>
	<div id="navbuttons_right">
		<?php
		if (is_user_logged_in()) {?>
		<span class="buttons"><a href="<?php bloginfo('url'); ?>/wp-admin" title="Admin Panel">Admin</a></span>
		<span class="buttons"><a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Quit">Logout</a></span>
		<?php } else { ?>
		<span class="buttons"><a href="<?php bloginfo('url'); ?>/wp-login.php?action=login" title="Enter">Login</a></span>
		<span class="buttons"><a href="<?php bloginfo('url'); ?>/wp-login.php?action=register" title="Register">Register</a></span>
		<?php } ?>
	</div>
	<div id="searchbox">
		<form id="searchform" method="get" action="<?php echo $PHP_SELF; ?>">
			<span class="small" style="margin-left:22px"><input type="text" id="search_input" name="s" id="s" size="15" value="Search..." onfocus="this.value=''" /> <button type="submit" class="search_button" align="middle" name="submit" value="<?php _e('Buscar'); ?>"> Go</button></span>
		</form>
	</div>
</div><!-- end search bar -->